/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomXPathResult_H___INT_
#define __GdomXPathResult_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomDOMObject.h"
#include "GDOMObject.h"
#include "XPathResult.h"
namespace WebCore {
    gpointer toGDOM(XPathResult* node);
} /* namespace WebCore */ 
G_BEGIN_DECLS
class GDOMXPathResult : public GDOMObject {
    typedef GDOMObject Base;
public:
    int get_gobj_type() { return GDOM_TYPE_X_PATH_RESULT; }
    GDOMXPathResult(PassRefPtr<WebCore::XPathResult> impl);
    virtual ~GDOMXPathResult();
    WebCore::XPathResult* impl() const { return m_impl.get(); }

private:
    RefPtr<WebCore::XPathResult> m_impl;
};
G_END_DECLS

#endif /* __GdomXPathResult_H___INT_*/
